Create catalog
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalogs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'{
"catalog": {
"id": "<string>",
"workspace_id": "<string>",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}Create Catalog
POST
/
api
/
workspace
/
{workspaceId}
/
catalogs
Create catalog
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalogs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'{
"catalog": {
"id": "<string>",
"workspace_id": "<string>",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Headers
Active brand ID header (informational; brand_id in body takes precedence).
Path Parameters
The workspace ID
Pattern:
^ws_[a-z0-9]+$Body
application/json
Response
Catalog created successfully
Show child attributes
Show child attributes
Last modified on May 18, 2026
⌘I